#ifndef BLE_INIT_H__
#define BLE_INIT_H__

#include <stdint.h>
#include <string.h>
#include "nordic_common.h"
#include "nrf.h"
#include "app_error.h"
#include "ble.h"
#include "ble_hci.h"
#include "ble_srv_common.h"
#include "ble_advdata.h"
#include "ble_advertising.h"
#include "ble_dfu.h"
#include "dfu_app_handler.h"
#include "ble_conn_params.h"
#include "boards.h"
#include "softdevice_handler.h"
#include "device_manager.h"
#include "pstorage.h"
#include "app_timer.h"
#include "nrf_delay.h"
#include "init_config.h"
#include "ble_demo.h"

void gap_params_init(void);
void services_init(void);
void conn_params_init(void);
void ble_stack_init(void);
void device_manager_init(bool erase_bonds);
void advertising_init(void);
void buttons_leds_init(bool * p_erase_bonds);
void power_manage(void);

#endif
